[Csnd-dev] CMake

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[Csnd-dev] CMake

jpff
I am seeing messages like
CMake Deprecation Warning at /usr/share/cmake/Modules/UseSWIG.cmake:231 (message):
  SWIG_ADD_MODULE is deprecated.  Use SWIG_ADD_LIBRARY instead.

Can/should this be fixed?

==John ffitch
Reply | Threaded
Open this post in threaded view
|

Re: [Csnd-dev] CMake

Felipe Sateler
It depends on the minimum version of cmake that csound wants to support. This macro was introduced in v3.8[1], so systems with cmake versions less than that would not work.

On Mon, Sep 24, 2018 at 9:20 AM John <[hidden email]> wrote:
I am seeing messages like
CMake Deprecation Warning at /usr/share/cmake/Modules/UseSWIG.cmake:231 (message):
  SWIG_ADD_MODULE is deprecated.  Use SWIG_ADD_LIBRARY instead.

Can/should this be fixed?

==John ffitch


--

Saludos,
Felipe Sateler
Reply | Threaded
Open this post in threaded view
|

Re: [Csnd-dev] CMake

jpff
OK; I will just ignore the message


On Mon, 24 Sep 2018, Felipe Sateler wrote:

> It depends on the minimum version of cmake that csound wants to support. This
> macro was introduced in v3.8[1], so systems with cmake versions less than that
> would not work.
>
>
> [1] https://cmake.org/cmake/help/v3.8/module/UseSWIG.html
> https://cmake.org/cmake/help/v3.7/module/UseSWIG.html
>
> On Mon, Sep 24, 2018 at 9:20 AM John <[hidden email]> wrote:
>       I am seeing messages like
>       CMake Deprecation Warning at
>       /usr/share/cmake/Modules/UseSWIG.cmake:231 (message):
>         SWIG_ADD_MODULE is deprecated.  Use SWIG_ADD_LIBRARY instead.
>
>       Can/should this be fixed?
>
>       ==John ffitch
>
>
>
> --
>
> Saludos,
> Felipe Sateler
>
>